Summary: The Internet Junkbuster v2.0
Vendor: http://www.junkbuster.com/
Name: junkbuster
Version: 2.0
Release: 0
Source: http://internet.junkbuster.com/ijb20.tar.Z
Patch0: junkbuster-config-texts.patch
Copyright: GPL
Group: Networking/Utilities
URL: http://www.junkbuster.com/
Packager: Stefan Waldherr <swa@cs.cmu.edu>
Conflicts: junkbuster-blank = 2.0-0

%description 
The Internet Junkbuster (TM) blocks unwanted banner ads and protects
your privacy from cookies and other threats. It's free under the GPL
(no warranty), runs under *NIX and works with almost any browser. You
need to clear you browser's cache and specify the proxy-server,
described in /usr/doc/junkbuster-2.0-0/ijbfaq.html.  Changes to the
previous .rpm (_not_ version!) are described in
/usr/doc/junkbuster-2.0-0/README.TOO.

%prep
%setup -n ijb20
%patch -p1

%build
make && strip junkbuster

%pre
if [ -f /etc/rc.d/init.d/junkbuster.init ]; then
        /etc/rc.d/init.d/junkbuster.init stop
fi
rm -f /usr/local/bin/junkbuster
rm -f /usr/local/man/man1/junkbuster.1

%install
cp junkbuster /usr/sbin/junkbuster
chmod 744 /usr/sbin/junkbuster
cp -f junkbuster.1 /usr/man/man1/junkbuster.1
cp -f blocklist.swa /etc/blocklist
cp -f cookiefile.swa /etc/cookiefile
cp -f junkbuster.aclfile /etc
cp -f junkbuster.config /etc
cp -f junkbuster.forward /etc
cp -f junkbuster.init /etc
cp -f junkbuster.trust /etc
cp -f junkbuster.init /etc/rc.d/init.d/junkbuster.init
chmod a+rx /etc/rc.d/init.d/junkbuster.init
ln -sf /etc/rc.d/init.d/junkbuster.init /etc/rc.d/rc0.d/K09junkbuster
ln -sf /etc/rc.d/init.d/junkbuster.init /etc/rc.d/rc1.d/K09junkbuster
ln -sf /etc/rc.d/init.d/junkbuster.init /etc/rc.d/rc2.d/S84junkbuster
ln -sf /etc/rc.d/init.d/junkbuster.init /etc/rc.d/rc3.d/S84junkbuster
ln -sf /etc/rc.d/init.d/junkbuster.init /etc/rc.d/rc5.d/S84junkbuster
ln -sf /etc/rc.d/init.d/junkbuster.init /etc/rc.d/rc6.d/K09junkbuster

%post
cat << EOT

Now you'll need to start junkbuster with "/etc/rc.d/init.d/junkbuster.init start"  -- 
or simply reboot; don't forget to add the proxy stuff in Netscape.

EOT

%files
%doc ijbfaq.html ijbman.html README README.TOO gpl.html
%config /etc/blocklist
%config /etc/cookiefile
%config /etc/junkbuster.aclfile
%config /etc/junkbuster.config
%config /etc/junkbuster.forward
%config /etc/junkbuster.init
%config /etc/junkbuster.trust
/usr/sbin/junkbuster
/usr/man/man1/junkbuster.1
/etc/rc.d/init.d/junkbuster.init
/etc/rc.d/rc0.d/K09junkbuster
/etc/rc.d/rc1.d/K09junkbuster
/etc/rc.d/rc2.d/S84junkbuster
/etc/rc.d/rc3.d/S84junkbuster
/etc/rc.d/rc5.d/S84junkbuster
/etc/rc.d/rc6.d/K09junkbuster
